// fullscreenSTDlg.cpp : implementation file
//

#include "stdafx.h"
#include "fullscreenST.h"
#include "fullscreenSTDlg.h"

//Intermec 700 color device
//#include "Keyboard Remap.h"
//#define KeyXmlFileName L"\\keymap.xml"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern DWORD LaunchNumber;

/////////////////////////////////////////////////////////////////////////////
// CFullscreenSTDlg dialog

CFullscreenSTDlg::CFullscreenSTDlg(CWnd* pParent /*=NULL*/)
	: CSTFullScreenDialogLite(CFullscreenSTDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFullscreenSTDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CFullscreenSTDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFullscreenSTDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFullscreenSTDlg, CSTFullScreenDialogLite)
	//{{AFX_MSG_MAP(CFullscreenSTDlg)
	ON_WM_KEYDOWN()
	ON_WM_KEYUP()
	ON_BN_CLICKED(IDC_CLOSE, OnClose)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFullscreenSTDlg message handlers

BOOL CFullscreenSTDlg::OnInitDialog()
{
	CSTFullScreenDialogLite::OnInitDialog();

	//Here we register hardware keys to prevent switching
	//using hardware keys.
	for (int i=0xc1; i<=0xcf; i++) {
		RegisterHotKey(m_hWnd, i, MOD_WIN, i);
	}

	//Save keyboard mapping for later restore
	//int res = ITC_ExportKeyMap(KeyXmlFileName);

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	CenterWindow(GetDesktopWindow());	// center to the hpc screen

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}



void CFullscreenSTDlg::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	CString strMessage;
	strMessage.Format(_T("Key is presses. Key id: %d"), nChar);
	AfxMessageBox(strMessage);
	CDialog::OnKeyDown(nChar, nRepCnt, nFlags);
}

void CFullscreenSTDlg::OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	CString strMessage;
	strMessage.Format(_T("Key is presses. Key id: %d"), nChar);
	AfxMessageBox(strMessage);
	CDialog::OnKeyUp(nChar, nRepCnt, nFlags);
	
}

void CFullscreenSTDlg::OnClose() 
{
	DestroyWindow();
}

void CFullscreenSTDlg::OnDestroy() 
{
	//Here we unregister hardware keys
	for (int i=0xc1; i<=0xcf; i++) {
		UnregisterHotKey(m_hWnd, i);
	}
	//Reload Keyboard map xml file
	//int res = ITC_ImportKeyMap(KeyXmlFileName);

	SignalStarted(LaunchNumber);
	CSTFullScreenDialogLite::OnDestroy();
}


